<?xml version="1.0" encoding="UTF-8"?>
<!--
    #
    # Copyright (c) 2022, WSO2 Inc. (http://www.wso2.com). All Rights Reserved.
    #
    # This software is the property of WSO2 Inc. and its suppliers, if any.
    # Dissemination of any information or reproduction of any material contained
    # herein in any form is strictly forbidden, unless permitted by WSO2 expressly.
    # You may not alter or remove any copyright or other notice from copies of this content.
    #
-->

<!DOCTYPE suppressions PUBLIC
        "-//Puppy Crawl//DTD Suppressions 1.1//EN"
        "http://www.puppycrawl.com/dtds/suppressions_1_1.dtd">

<suppressions>

    <suppress checks="Javadoc.*" files=".*/src/test/java/.*" />

    <suppress checks="JavadocPackage" files=".*/src/(main|integration)/java/.*" />
    <suppress checks="JavadocPackage" files=".*/src/.*/internal/.*" />

    <suppress checks="JavadocStyle" files=".*/src/(main|integration)/java/.*" />
    <suppress checks="JavadocStyle" files=".*/src/.*/internal/.*" />

    <suppress checks="MethodNameCheck" files=".*/*CommandProvider.java" />
    <suppress checks="Regexp" files=".*/*CommandProvider.java" />


    <!-- copied from apache hadoop, won't fix style to keep diff minimal -->
    <suppress checks=".*" files=".*/LocalJobRunnerWithFix.java" />

    <!-- do not check thrift generated files -->
    <suppress checks=".*" files=".*/transaction/distributed/thrift/.*" />

    <!-- do not check swagger generated files -->
    <suppress checks=".*" files=".*/src/gen/java/.*" />

</suppressions>
